Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network29.167.0.0/20
Usable hosts4,094
Subnet mask255.255.240.0
Addresses4,096
Network address
29.167.0.0
Broadcast address
29.167.15.255
First usable
29.167.0.1
Last usable
29.167.15.254
Usable hosts
4,094 (4,096 less the network and broadcast addresses)
Subnet mask
255.255.240.0
Wildcard mask
0.0.15.255 (Cisco ACLs, OSPF)
Prefix length
/20
Type
Public public
Old class
A (default /8)
As numbers
Hex 1DA70000 · Integer 497483776 to 497487871
Reverse DNS zones
0.167.29.in-addr.arpa
1.167.29.in-addr.arpa
2.167.29.in-addr.arpa
3.167.29.in-addr.arpa
4.167.29.in-addr.arpa
5.167.29.in-addr.arpa
6.167.29.in-addr.arpa
7.167.29.in-addr.arpa
8.167.29.in-addr.arpa
9.167.29.in-addr.arpa
10.167.29.in-addr.arpa
11.167.29.in-addr.arpa
12.167.29.in-addr.arpa
13.167.29.in-addr.arpa
14.167.29.in-addr.arpa
15.167.29.in-addr.arpa
/20 is not on a 8-bit boundary, so it takes 16 /24 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address00011101.10100111.00000000.0000000029.167.0.0
Subnet mask11111111.11111111.11110000.00000000255.255.240.0
Network00011101.10100111.00000000.0000000029.167.0.0
Broadcast00011101.10100111.00001111.1111111129.167.15.255
Split into smaller subnets/27

29.167.0.0/20 makes 128 subnets of /27.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
129.167.0.0/2729.167.0.1 to 29.167.0.3029.167.0.3130
229.167.0.32/2729.167.0.33 to 29.167.0.6229.167.0.6330
329.167.0.64/2729.167.0.65 to 29.167.0.9429.167.0.9530
429.167.0.96/2729.167.0.97 to 29.167.0.12629.167.0.12730
529.167.0.128/2729.167.0.129 to 29.167.0.15829.167.0.15930
629.167.0.160/2729.167.0.161 to 29.167.0.19029.167.0.19130
729.167.0.192/2729.167.0.193 to 29.167.0.22229.167.0.22330
829.167.0.224/2729.167.0.225 to 29.167.0.25429.167.0.25530
929.167.1.0/2729.167.1.1 to 29.167.1.3029.167.1.3130
1029.167.1.32/2729.167.1.33 to 29.167.1.6229.167.1.6330
1129.167.1.64/2729.167.1.65 to 29.167.1.9429.167.1.9530
1229.167.1.96/2729.167.1.97 to 29.167.1.12629.167.1.12730
1329.167.1.128/2729.167.1.129 to 29.167.1.15829.167.1.15930
1429.167.1.160/2729.167.1.161 to 29.167.1.19029.167.1.19130
1529.167.1.192/2729.167.1.193 to 29.167.1.22229.167.1.22330
1629.167.1.224/2729.167.1.225 to 29.167.1.25429.167.1.25530
1729.167.2.0/2729.167.2.1 to 29.167.2.3029.167.2.3130
1829.167.2.32/2729.167.2.33 to 29.167.2.6229.167.2.6330
1929.167.2.64/2729.167.2.65 to 29.167.2.9429.167.2.9530
2029.167.2.96/2729.167.2.97 to 29.167.2.12629.167.2.12730
2129.167.2.128/2729.167.2.129 to 29.167.2.15829.167.2.15930
2229.167.2.160/2729.167.2.161 to 29.167.2.19029.167.2.19130
2329.167.2.192/2729.167.2.193 to 29.167.2.22229.167.2.22330
2429.167.2.224/2729.167.2.225 to 29.167.2.25429.167.2.25530
2529.167.3.0/2729.167.3.1 to 29.167.3.3029.167.3.3130
2629.167.3.32/2729.167.3.33 to 29.167.3.6229.167.3.6330
2729.167.3.64/2729.167.3.65 to 29.167.3.9429.167.3.9530
2829.167.3.96/2729.167.3.97 to 29.167.3.12629.167.3.12730
2929.167.3.128/2729.167.3.129 to 29.167.3.15829.167.3.15930
3029.167.3.160/2729.167.3.161 to 29.167.3.19029.167.3.19130
3129.167.3.192/2729.167.3.193 to 29.167.3.22229.167.3.22330
3229.167.3.224/2729.167.3.225 to 29.167.3.25429.167.3.25530
3329.167.4.0/2729.167.4.1 to 29.167.4.3029.167.4.3130
3429.167.4.32/2729.167.4.33 to 29.167.4.6229.167.4.6330
3529.167.4.64/2729.167.4.65 to 29.167.4.9429.167.4.9530
3629.167.4.96/2729.167.4.97 to 29.167.4.12629.167.4.12730
3729.167.4.128/2729.167.4.129 to 29.167.4.15829.167.4.15930
3829.167.4.160/2729.167.4.161 to 29.167.4.19029.167.4.19130
3929.167.4.192/2729.167.4.193 to 29.167.4.22229.167.4.22330
4029.167.4.224/2729.167.4.225 to 29.167.4.25429.167.4.25530
4129.167.5.0/2729.167.5.1 to 29.167.5.3029.167.5.3130
4229.167.5.32/2729.167.5.33 to 29.167.5.6229.167.5.6330
4329.167.5.64/2729.167.5.65 to 29.167.5.9429.167.5.9530
4429.167.5.96/2729.167.5.97 to 29.167.5.12629.167.5.12730
4529.167.5.128/2729.167.5.129 to 29.167.5.15829.167.5.15930
4629.167.5.160/2729.167.5.161 to 29.167.5.19029.167.5.19130
4729.167.5.192/2729.167.5.193 to 29.167.5.22229.167.5.22330
4829.167.5.224/2729.167.5.225 to 29.167.5.25429.167.5.25530
4929.167.6.0/2729.167.6.1 to 29.167.6.3029.167.6.3130
5029.167.6.32/2729.167.6.33 to 29.167.6.6229.167.6.6330
5129.167.6.64/2729.167.6.65 to 29.167.6.9429.167.6.9530
5229.167.6.96/2729.167.6.97 to 29.167.6.12629.167.6.12730
5329.167.6.128/2729.167.6.129 to 29.167.6.15829.167.6.15930
5429.167.6.160/2729.167.6.161 to 29.167.6.19029.167.6.19130
5529.167.6.192/2729.167.6.193 to 29.167.6.22229.167.6.22330
5629.167.6.224/2729.167.6.225 to 29.167.6.25429.167.6.25530
5729.167.7.0/2729.167.7.1 to 29.167.7.3029.167.7.3130
5829.167.7.32/2729.167.7.33 to 29.167.7.6229.167.7.6330
5929.167.7.64/2729.167.7.65 to 29.167.7.9429.167.7.9530
6029.167.7.96/2729.167.7.97 to 29.167.7.12629.167.7.12730
6129.167.7.128/2729.167.7.129 to 29.167.7.15829.167.7.15930
6229.167.7.160/2729.167.7.161 to 29.167.7.19029.167.7.19130
6329.167.7.192/2729.167.7.193 to 29.167.7.22229.167.7.22330
6429.167.7.224/2729.167.7.225 to 29.167.7.25429.167.7.25530
6529.167.8.0/2729.167.8.1 to 29.167.8.3029.167.8.3130
6629.167.8.32/2729.167.8.33 to 29.167.8.6229.167.8.6330
6729.167.8.64/2729.167.8.65 to 29.167.8.9429.167.8.9530
6829.167.8.96/2729.167.8.97 to 29.167.8.12629.167.8.12730
6929.167.8.128/2729.167.8.129 to 29.167.8.15829.167.8.15930
7029.167.8.160/2729.167.8.161 to 29.167.8.19029.167.8.19130
7129.167.8.192/2729.167.8.193 to 29.167.8.22229.167.8.22330
7229.167.8.224/2729.167.8.225 to 29.167.8.25429.167.8.25530
7329.167.9.0/2729.167.9.1 to 29.167.9.3029.167.9.3130
7429.167.9.32/2729.167.9.33 to 29.167.9.6229.167.9.6330
7529.167.9.64/2729.167.9.65 to 29.167.9.9429.167.9.9530
7629.167.9.96/2729.167.9.97 to 29.167.9.12629.167.9.12730
7729.167.9.128/2729.167.9.129 to 29.167.9.15829.167.9.15930
7829.167.9.160/2729.167.9.161 to 29.167.9.19029.167.9.19130
7929.167.9.192/2729.167.9.193 to 29.167.9.22229.167.9.22330
8029.167.9.224/2729.167.9.225 to 29.167.9.25429.167.9.25530
8129.167.10.0/2729.167.10.1 to 29.167.10.3029.167.10.3130
8229.167.10.32/2729.167.10.33 to 29.167.10.6229.167.10.6330
8329.167.10.64/2729.167.10.65 to 29.167.10.9429.167.10.9530
8429.167.10.96/2729.167.10.97 to 29.167.10.12629.167.10.12730
8529.167.10.128/2729.167.10.129 to 29.167.10.15829.167.10.15930
8629.167.10.160/2729.167.10.161 to 29.167.10.19029.167.10.19130
8729.167.10.192/2729.167.10.193 to 29.167.10.22229.167.10.22330
8829.167.10.224/2729.167.10.225 to 29.167.10.25429.167.10.25530
8929.167.11.0/2729.167.11.1 to 29.167.11.3029.167.11.3130
9029.167.11.32/2729.167.11.33 to 29.167.11.6229.167.11.6330
9129.167.11.64/2729.167.11.65 to 29.167.11.9429.167.11.9530
9229.167.11.96/2729.167.11.97 to 29.167.11.12629.167.11.12730
9329.167.11.128/2729.167.11.129 to 29.167.11.15829.167.11.15930
9429.167.11.160/2729.167.11.161 to 29.167.11.19029.167.11.19130
9529.167.11.192/2729.167.11.193 to 29.167.11.22229.167.11.22330
9629.167.11.224/2729.167.11.225 to 29.167.11.25429.167.11.25530
9729.167.12.0/2729.167.12.1 to 29.167.12.3029.167.12.3130
9829.167.12.32/2729.167.12.33 to 29.167.12.6229.167.12.6330
9929.167.12.64/2729.167.12.65 to 29.167.12.9429.167.12.9530
10029.167.12.96/2729.167.12.97 to 29.167.12.12629.167.12.12730
10129.167.12.128/2729.167.12.129 to 29.167.12.15829.167.12.15930
10229.167.12.160/2729.167.12.161 to 29.167.12.19029.167.12.19130
10329.167.12.192/2729.167.12.193 to 29.167.12.22229.167.12.22330
10429.167.12.224/2729.167.12.225 to 29.167.12.25429.167.12.25530
10529.167.13.0/2729.167.13.1 to 29.167.13.3029.167.13.3130
10629.167.13.32/2729.167.13.33 to 29.167.13.6229.167.13.6330
10729.167.13.64/2729.167.13.65 to 29.167.13.9429.167.13.9530
10829.167.13.96/2729.167.13.97 to 29.167.13.12629.167.13.12730
10929.167.13.128/2729.167.13.129 to 29.167.13.15829.167.13.15930
11029.167.13.160/2729.167.13.161 to 29.167.13.19029.167.13.19130
11129.167.13.192/2729.167.13.193 to 29.167.13.22229.167.13.22330
11229.167.13.224/2729.167.13.225 to 29.167.13.25429.167.13.25530
11329.167.14.0/2729.167.14.1 to 29.167.14.3029.167.14.3130
11429.167.14.32/2729.167.14.33 to 29.167.14.6229.167.14.6330
11529.167.14.64/2729.167.14.65 to 29.167.14.9429.167.14.9530
11629.167.14.96/2729.167.14.97 to 29.167.14.12629.167.14.12730
11729.167.14.128/2729.167.14.129 to 29.167.14.15829.167.14.15930
11829.167.14.160/2729.167.14.161 to 29.167.14.19029.167.14.19130
11929.167.14.192/2729.167.14.193 to 29.167.14.22229.167.14.22330
12029.167.14.224/2729.167.14.225 to 29.167.14.25429.167.14.25530
12129.167.15.0/2729.167.15.1 to 29.167.15.3029.167.15.3130
12229.167.15.32/2729.167.15.33 to 29.167.15.6229.167.15.6330
12329.167.15.64/2729.167.15.65 to 29.167.15.9429.167.15.9530
12429.167.15.96/2729.167.15.97 to 29.167.15.12629.167.15.12730
12529.167.15.128/2729.167.15.129 to 29.167.15.15829.167.15.15930
12629.167.15.160/2729.167.15.161 to 29.167.15.19029.167.15.19130
12729.167.15.192/2729.167.15.193 to 29.167.15.22229.167.15.22330
12829.167.15.224/2729.167.15.225 to 29.167.15.25429.167.15.25530

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses